[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.Buddy

Represents the associated TControl instance in the grouped edit control.

## Declaration

Source position: groupededit.pp line 252

`protected property TCustomAbstractGroupedEdit.Buddy : TControl read FBuddy;`

## Description

Buddy normally contains a TSpeedButton, TUpDown or similar control. Derived classes may implement a different class type for the control using the GetBuddyClassType method.

## See also

TCustomAbstractGroupedEdit.BaseEditor |  | Represents the control used as the editor for the value in the grouped edit control.
TCustomAbstractGroupedEdit.GetBuddyClassType |  | Gets the class reference used to create the Buddy for the control.